<%= stylesheet_link_tag  'polls', :media => 'all' %>

<script type="text/javascript">
//编辑问卷描述之后
function edit_head(){
    $("#polls_description").val($("#polls_description_div").html());
}

  function add_MC(){
      $("#new_poll_question").html("<%= escape_javascript(render :partial => 'new_MC') %>");
      $("#poll_questions_title").focus();
  }
  function add_MCQ(){
      $("#new_poll_question").html("<%= escape_javascript(render :partial => 'new_MCQ') %>");
      $("#poll_questions_title").focus();
  }
  function add_single(){
      $("#new_poll_question").html("<%= escape_javascript(render :partial => 'new_single') %>");
      $("#poll_questions_title").focus();
  }
  function add_mulit(){
      $("#new_poll_question").html("<%= escape_javascript(render :partial => 'new_mulit') %>");
      $("#poll_questions_title").focus();
  }

  //添加标题时确定按钮
  function add_poll_question(doc)
  {
      var title = $.trim($("#poll_questions_title").val());
      if(title.length == 0){alert("标题不能为空");}else{doc.parent().parent().parent().submit();}
  }
  //修改标题时确定按钮
  function edit_poll_question(doc,id)
  {
      var title = $.trim($("#poll_questions_title_" + id).val());
      if(title.length == 0){alert("标题不能为空");}else{doc.parent().parent().parent().submit();}
  }

  //问卷头
  function pollsCancel(){$("#polls_head_edit").hide();$("#polls_head_show").show();}
  function pollsSubmit(doc){
      var title = $.trim($("#polls_title").val());
      if(title.length == 0){alert("问卷标题不能为空");}else{doc.parent().parent().parent().submit();}
  }
  function pollsEdit(){$("#polls_head_edit").show();$("#polls_head_show").hide();}
  //
  function pollQuestionCancel(question_id){
      $("#show_poll_questions_"+question_id).show();
      $("#edit_poll_questions_"+question_id).hide();
  }
  function pollQuestionEdit(question_id){
      $("#show_poll_questions_"+question_id).hide();
      $("#edit_poll_questions_"+question_id).show();
      $("#poll_questions_title_"+question_id).focus();
  }
  //单选题
  function add_single_answer(doc)
  {
      doc.parent().after("<li class='ur_item'><label>选项<span class='ur_index'></span>：&nbsp;&nbsp;&nbsp;</label><input maxlength='200' type='text' name='question_answer["+new Date().getTime()+"]' placeholder='新建选项'/>" +
          "<a class='icon_add' title='向下插入选项' onclick='add_single_answer($(this));'></a><a class='icon_remove'  title='删除' onclick='remove_single_answer($(this))'></a>"+
          "</li><div class='cl'></div>");
  }
  function remove_single_answer(doc)
  {
      if(doc.parent().siblings("li").length == 0)
      {
          alert("选择题至少有一个选项");
      }
      else
      {
          doc.parent().remove();
      }
  }

  function poll_submit()
  {
      var title = $.trim($("#polls_name_h").html());
      if(title.length == 0)
      {
          alert("问卷标题不能为空");
      }
      else{
          $('#ajax-modal').html('<%= escape_javascript(render :partial => 'poll_submit', locals: { :poll => @poll,:is_remote => false}) %>');
          showModal('ajax-modal', '310px');
          $('#ajax-modal').css('height','120px');
          $('#ajax-modal').siblings().remove();
          $('#ajax-modal').before("<span style='float: right;cursor:pointer;'>" +
                  "<a href='javascript:' onclick='clickCanel();'><img src='/images/bid/close.png' width='26px' height='26px' /></a></span>");
          $('#ajax-modal').parent().removeClass("alert_praise");
          $('#ajax-modal').parent().css("top","").css("left","");
          $('#ajax-modal').parent().addClass("popbox_polls");
      }
  }
</script>
<div class=" polls_content polls_edit" id="polls">

  <!-- 头部 -->
  <div id="polls_head_show"  style="display: none;">
    <%= render :partial => 'show_head', :locals => {:poll => @poll}%>
  </div>
  <div id="polls_head_edit">
    <%= render :partial => 'edit_head', :locals => {:poll => @poll}%>
  </div>

  <!-- 问题 -->
  <div id="poll_content">
    <%= render :partial => 'poll_content', :locals => {:poll => @poll}%>
  </div>

  <div class="tabs">
    <ul class="tabs_list">
      <li class="tab_item02 "  >
        <a title="<%=  l(:label_MC) %>" class="tab_icon icon_radio" onclick="add_MC();">
          <%=  l(:label_MC) %>
        </a>
      </li>
      <li class="tab_item02 " >
        <a title="<%=  l(:label_MCQ) %>" class=" tab_icon icon_checkbox" onclick="add_MCQ();">
          <%=  l(:label_MCQ) %>
        </a>
      </li>
      <li class="tab_item02 " >
        <a title="<%= l(:label_single) %>" class="tab_icon icon_text" onclick="add_single();">
          <%= l(:label_single) %>
        </a>
      </li>
      <li class="tab_item02 " >
        <a title="<%= l(:label_mulit)%>" class="tab_icon icon_textarea" onclick="add_mulit();">
          <%= l(:label_mulit)%>
        </a>
      </li>
    </ul>
    <div class="cl"></div>
  </div><!--选项 end-->

  <!-- 新增问题 -->
  <div id="new_poll_question">
  </div>

  <div class="ur_buttons">
    <a class="ur_button_submit" onclick="poll_submit();">
      <%= l(:label_memo_create)%>
    </a>
    <div class="polls_cha">
      <input type="checkbox" name="" value="" >
      <label for="">允许学生查看调查结果</label>
    </div>
  </div>
  <div class="cl"></div>

</div><!--编辑end-->
